Name:           kanatest
Version:        0.3.6
Release:        6%{?dist}
Summary:        Hiragana and Katakana drill tool

Group:          Amusements/Games
License:        GPL
URL:            http://clay.ll.pl/kanatest.html
Source0:        http://clay.ll.pl/download/%{name}-%{version}.tar.gz
Source1:        kanatest.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils >= 0.9
BuildRequires:  gtk2-devel >= 2.0
BuildRequires:  gettext

%description
Kanatest is a simple, GTK 2-based kana drill tool. It offers three drill modes:
hiragana, katakana, and mixed mode. The tester shows random kana characters
and waits until you enter the romaji equivalent in an entry field. At the end,
statistics are provided

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

desktop-file-install --vendor fedora               \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications  \
  --add-category X-Fedora                          \
  --add-category Application                       \
  --add-category Game                              \
  %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING ChangeLog NEWS
%{_bindir}/kanatest
%{_mandir}/man1/kanatest.1*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/kanatest
%{_datadir}/pixmaps/kanatest.png


%changelog
* Mon Aug 28 2006 Robert Marcano <robert@marcanoonline.com> - 0.3.6-6
- Rebuild

* Fri Jul 28 2006 Robert Marcano <robert@marcanoonline.com> - 0.3.6-5
- Fix build in mock (bug #200076)

* Mon Feb 13 2006 Robert Marcano <robert@marcanoonline.com> - 0.3.6-4
- Rebuild for Fedora Extras 5

* Fri May 20 2005 Robert Marcano <robert@marcanoonline.com> - 0.3.6-3
- Added desktop-file-utils to BuildRequires

* Mon May 09 2005 Robert Marcano <robert@marcanoonline.com> - 0.3.6-2
- Fix spec file following fedora-extras-list recomendations

* Sun May 08 2005 Robert Marcano <robert@marcanoonline.com> - 0.3.6-1
- Initial RPM release.
